package com.rjconsultores.ventaboletos.enums;

public enum TipoImpressoraRelatorio {

	A4(1, "Tipo Impressora A4"),
	TERMICA(2, "Tipo Impressora Térmica");
	
	private Integer id;
	private String descricao;
	
	private TipoImpressoraRelatorio(Integer id, String descricao) {
		this.id = id;
		this.descricao = descricao;
	}

	public Integer getId() {
		return id;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static TipoImpressoraRelatorio getTipoImpressoraRelatorio(Integer id) {
		for (TipoImpressoraRelatorio tpImpressora : TipoImpressoraRelatorio.values()) {
			if (tpImpressora.getId().equals(id)) {
				return tpImpressora;
			}
		}
		throw new IllegalArgumentException("Tipo de impressora relatório não encontrado.");
	}
}
